##########################################
# For using svn: do
# export SVNROOT="http://svn.sourceforge.jp/svnroot/jd4linux/jd"
# svn checkout $SVNROOT/trunk
# mv trunk jd-%%{main_ver}-%%{strtag}
# tar czf jd-%%{main_ver}-%%{strtag}.tgz jd-%%{main_ver}-%%{strtag}
##########################################

##########################################
# Defined by upsteam
#
%define         main_ver      2.4.1
%define         strtag        svn2878_trunk
%define         repoid        40004
# Define this if this is pre-version
%define         pre_release   1
##########################################

##########################################
# Defined by vendor
#
%define         vendor_rel    1
%define         extra_rel     %{nil}
# Tag name changed from vendor to vendorname so as not to
# overwrite Vendor entry in Summary
%define         vendorname    fedora
%define         gtkmmdevel    gtkmm24-devel
%define         fontpackage   mona-fonts-VLGothic
%define         icondir       %{_datadir}/icons/hicolor/96x96/apps/
##########################################

##########################################
%if %{pre_release}
%define         rel           0.%{vendor_rel}.%{strtag}%{?extra_rel}%{?dist}
%else
%define         rel           %{vendor_rel}%{?dist}
%endif

%define         _with_migemo  1
%define         _with_onig    0 
%define         migemo_dict   %{_datadir}/cmigemo/utf-8/migemo-dict
##########################################

Name:           jd
Version:        %{main_ver}
Release:        %{rel}
Summary:        A 2ch browser

Group:          Applications/Internet
License:        GPLv2
URL:            http://jd4linux.sourceforge.jp/
Source0:        http://downloads.sourceforge.jp/jd4linux/%{repoid}/%{name}-%{main_ver}-%{strtag}.tgz
#Source0:	%{name}-%{main_ver}-%{strtag}.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  %{gtkmmdevel}
BuildRequires:  libtool automake
BuildRequires:  gnutls-devel
BuildRequires:  desktop-file-utils
BuildRequires:  libSM-devel
%if 0%{?_with_migemo} >= 1
BuildRequires:  cmigemo-devel
%endif
BuildRequires:  alsa-lib-devel
%if 0%{?_with_onig} >= 1
BuildRequires:  oniguruma-devel
%endif
%if %{pre_release}
BuildRequires:	subversion
%endif
Requires:       %{fontpackage}


%description
JD is a 2ch browser based on gtkmm2.

%prep
%setup -q -n %{name}-%{main_ver}-%{strtag}
#find . -name .svn | sort -r | xargs %{__rm} -rf

sh autogen.sh

%build
# set TZ for __TIME__
export TZ='Asia/Tokyo'

%configure \
   --with-alsa \
%if 0%{?_with_onig} > 1
   --with-oniguruma \
%endif
   --with-xdgopen \
%if 0%{?_with_migemo} >= 1
   --with-migemo \
   --with-migemodict=%{migemo_dict}
%endif

%{__make} %{?_smp_mflags} -k


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__make} install DESTDIR=$RPM_BUILD_ROOT

%{__mkdir_p} $RPM_BUILD_ROOT%{icondir}
%{__install} -p -m 644 %{name}.png $RPM_BUILD_ROOT%{icondir}

desktop-file-install \
   --vendor %{vendorname} \
   --dir $RPM_BUILD_ROOT%{_datadir}/applications \
   --delete-original \
   $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
   touch --no-create %{_datadir}/icons/hicolor &>/dev/null
   gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files
%defattr(-,root,root,-)
%doc COPYING ChangeLog README
%{_bindir}/%{name}
%{_datadir}/applications/%{vendorname}-%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{icondir}/%{name}.png

%changelog
* Wed Jun 10 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp>
- rev 2878

* Fri May 22 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.4.0-1
- 2.4.0

* Sat May 16 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.4.0-0.5.rc090516
- 2.4.0 rc 090516

* Sun May 10 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.4.0-0.4.beta090510
- 2.4.0 beta 090510

* Wed Apr 29 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.4.0-0.2.beta090429
- 2.4.0 beta 090429

* Thu Mar  5 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.3.0-1
- 2.3.0

* Mon Mar  2 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.3.0-0.2.rc090302
- 2.3.0 rc 090302

* Tue Feb 24 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp>
- F-11: Mass rebuild

* Tue Feb 24 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp>
- GTK icon updating script update

* Fri Feb 13 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.2.0-1
- 2.2.0

* Sun Feb  8 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.2.0-0.4.rc090208
- 2.2.0 rc 090208

* Thu Jan 29 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.2.0-0.3.beta090128
- '2.2.0' beta 090128
- Although tarball says version is 2.1.1, the upsteam developer said that
  he/she will retag version number to 2.2.0
- kill oniguruma support on all branches

* Tue Jan 20 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp>
- Try to kill oniguruma support on F-11 (seemingly behaving badly
  with cmigemo)

* Tue Dec 30 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.1.0-2
- Workaround for the issue on res 868 in JD 6 thread (segv when
  bookmarking when bookmark is empty)

* Mon Dec 29 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.1.0-1
- 2.1.0

* Sun Dec 28 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp>
- rev 2608 (patched against previous rc)

* Tue Dec 23 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.1.0-0.5.rc081223
- 2.1.0 rc 081223

* Sat Dec 20 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp>
- rev 2579
- Use oniguruma on F-9+ for regex

* Tue Dec 16 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.1.0-0.2.beta081216
- 2.1.0 beta 081216

* Mon Nov 24 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.0.3-1
- 2.0.3

* Tue Nov 18 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.0.3-0.3.rc081117
- 2.0.3 rc 081117

* Mon Nov 10 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.0.3-0.2.beta081110
- 2.0.3 beta 081110

* Sat Sep 20 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.0.2-1
- 2.0.2

* Tue Sep 16 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.0.1-2
- Patch to cope with occasional cookie change

* Sun Sep 14 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.0.1-1
- 2.0.1

* Wed Sep 10 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.0.1-0.3.rc080909
- 2.0.1 rc 080909

* Tue Sep  9 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp>
- rev 2322
- Set xdg-open as default browser now by configure option

* Mon Sep  8 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp>
- rev 2319
- revert default browser setting

* Tue Sep  2 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.0.1-0.2.beta080901
- 2.0.1 beta 080901
- Change default config in Fedora
  fonts: use Mona-VLGothic
  browser: use xdg-open

* Tue Aug  5 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp>
- Switch the default fonts to VLGothic-based Mona

* Mon Jul 28 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.0.0-2
- Change Japanese fonts Requires (F-10+)

* Wed Jul 23 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.0.0-1
- 2.0.0

* Mon Jul 14 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.0.0-0.8.rc080714
- 2.0.0 rc 080714

* Thu Jul  3 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.0.0-0.7.beta20080702
- 2.0.0 beta 20080702

* Tue Jun 24 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp>
- F-10: rebuild against new gnutls
- F-10: kill subversion tagging until dependency is solved.

* Mon Jun  2 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.0.0-0.6.beta20080601
- 2.0.0 beta 20080601

* Mon Jun  2 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.0.0-0.5.svn2081_trunk
- Workarround for bug 449225

* Sun May 25 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.0.0-0.5.svn2066_trunk
- Enable alsa

* Fri Apr 18 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.0.0-0.4.beta080418
- 2.0.0 beta 080418

* Tue Apr 15 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.9.9-1
- 1.9.9

* Wed Apr  9 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.9.9-0.3.rc080408
- 1.9.9 rc 080408

* Sun Mar 23 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> 
- Workaround for bug 438600

* Mon Feb 25 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.9.9-0.3.beta080225
- 1.9.9 beta 080225

* Sat Feb  9 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp>
- Remove patch for gcc43 (applied by upstream)
- Remove workarround for libsigc++ side bug

* Fri Feb  8 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.0.0-0.2.svn1774
- Patch to make jd happy with gcc43
- Workarround for libsigc++ side bug (bug 431017)

* Fri Dec 28 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.9.8-1
- 1.9.8

* Sun Dec 23 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.9.8-0.5.rc071223
- 1.9.8 rc 071223

* Tue Dec 18 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.9.8-0.4,beta071218
- 1.9.8 beta 071218

* Mon Dec 10 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.9.8-0.3.beta071210
- 1.9.8 beta 071210

* Sun Dec  9 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp>
- Switch from openssl to gnutls

* Thu Nov 22 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.9.7-1
- 1.9.7

* Thu Nov 15 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.9.7-0.4.rc071105
- 1.9.7 rc 071115

* Fri Nov  9 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.9.7-0.3.beta071109
- 1.9.7 beta 071109

* Fri Nov  2 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyoa.c.jp> - 1.9.7-0.2.beta071101
- 1.9.7 beta 071101

* Fri Oct  5 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.9.6-1
- 1.9.6

* Sun Sep 30 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.9.6-0.6.rc070930
- 1.9.6 rc 070930

* Tue Sep 18 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.9.6-0.5.beta070918
- 1.9.6 beta 070918

* Sun Aug  5 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.9.6-0.2.beta070804
- 1.9.6 beta 070804 release 2

* Sat Aug  4 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.9.6-0.1.beta070804
- 1.9.6 beta 070804

* Sat Jun 30 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.9.5-1
- 1.9.5

* Mon Jun 25 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.9.5-0.6.rc070625
- 1.9.5 rc 070625

* Sat Jun 16 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.9.5-0.5.beta070616
- 1.9.5 beta 070616

* Mon Jun 11 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.9.5-0.4.beta070611
- 1.9.5 beta 070611

* Mon May 28 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.9.5-0.3.beta070528
- 1.9.5 beta 070528

* Tue May 22 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.9.5-0.2.beta070516
- Support C/Migemo search

* Tue May 15 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.9.5-0.1.beta070516
- 1.9.5 beta 070516

* Tue Apr  3 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.8.8-1
- 1.8.8

* Fri Mar 30 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.8.8-0.3.rc070330
- 1.8.8 rc 070330

* Fri Mar 23 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.8.8-0.3.beta070324
- 1.8.8 beta 070324

* Sat Mar 17 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.8.8-0.2.beta070317
- 1.8.8 beta 070317

* Sun Feb 18 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.8.8-0.1.beta070218
- 1.8.8 beta 070218

* Fri Feb  2 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.8.5-1
- 1.8.5

* Sun Jan 21 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.8.5-0.3.rc071121
- 1.8.5 rc 071121

* Sun Jan 14 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.8.5-0.3.beta071114
- 1.8.5 beta 070114

* Sun Jan  7 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.8.5-0.2.beta061227
- Add fix for zero-inserted dat problem

* Tue Dec 26 2006 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.8.5-0.1.beta061227
- 1.8.5 beta 061227

* Sun Dec 17 2006 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.8.1-1
- 1.8.1

* Tue Dec 12 2006 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.8.1-0.2.rc061213
- 1.8.1 rc 061213

* Sat Dec  2 2006 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.8.1-0.2.beta061202
- 1.8.1 beta 061202

* Tue Nov 14 2006 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.8.0-1
- 1.8.0

* Wed Nov  8 2006 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.8.0-0.5.rc061108
- 1.8.0 rc 061108

* Fri Nov  3 2006 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.8.0-0.5.beta061103
- 1.8.0 beta 061103

* Sat Oct 28 2006 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.8.0-0.4.cvs061028
- Detect libSM and libICE for x86_64.
- cvs 061028 (23:59 JST)

* Wed Oct 25 2006 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.8.0-0.3.beta061023
- Remove some category from desktop files due to
  desktop-file-utils change.

* Tue Oct 24 2006 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.8.0-0.2.beta061023
- 1.8.0 beta 061023

* Sun Oct 22 2006 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.8.0-0.1.cvs061022
- cvs 061022 (23:59 JST)

* Mon Oct  9 2006 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.8.0-0.1.beta061009
- 1.8.0 beta 061009

* Sat Oct  7 2006 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.7.0-2
- Add libSM-devel to BuildRequires.

* Wed Sep 27 2006 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.7.0-1
- 1.7.0

* Mon Sep 25 2006 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.7.0-0.1.rc060921
- Import to Fedora Extras.

* Sun Mar  9 2006 Houritsuchu <houritsuchu@hotmail.com>
- Version up.
- add icon

* Sat Feb 25 2006 Houritsuchu <houritsuchu@hotmail.com>
- first
